/*


Main Vue 3 application.


*/


<template>

    <head>
        <meta charset="utf-8" />
        <title>Guest Visit Tracker</title>
        <link rel="icon" type="image/x-icon" href="./public/wne_favicon.ico" />
    </head>


    <body>
        



        <div class='content-container'>
            <div class='content-title'>
                <h1>BEAR NECESSITIES MARKET</h1>
            </div>

            <div class='wrapper'>
                <div class='center'>
                    <div class='logo'>
                        <img src=".\assets\wne-bear-logo.png" alt="Bear logo">
                    </div>


                    <div class='buttonContainer'>

                        <button @click="$emit(changePageGuest())"> Guest Management</button>

                        <button @click="$emit(changePageReport())"> Reporting</button>

                        <button @click="$emit(cancel())"> Cancel</button>


                    </div>


                    <div class='content-body'>

                        <div v-show="getReportVisible">
                            <getReport>
                            </getReport>
                        </div>

                        <div v-show="idInputComponentVisible">
                            <idInputComponent :idNumber="idNum" @sendIdEvent="receiveID">
                            </idInputComponent>
                        </div>


                        <div v-show="guestDataComponentVisible">
                            <guestDataComponent :idNum="idNum" @guestDataCancelEvent="guestDataCancel">
                            </guestDataComponent>
                        </div>
                    </div>
                </div>
            </div>

            <div class='content-footer'>
                <div class="left">
                    <p>This software is a <a href="https://librefoodpantry.org">LibreFoodPantry</a> project.</p>
                </div>
                <div class="right">
                    <p>&copy; 2022 LibreFoodPantry Authors</p>
                    <button
                        onclick="window.open('https://gitlab.com/LibreFoodPantry/client-solutions/bear-necessities-market/guestinfosystem/documentation/-/blob/deployment-manual/user-guide.md?ref_type=heads', '_blank');"
                        id="helpButton" class="help-button">?</button>
                </div>
            </div>
        </div>
    </body>
</template>

<script>
import guestDataComponent from "./components/guest-data-component.vue"
import idInputComponent from "./components/id-input-component.vue"
import getReport from "./components/bnm-reports.vue"


export default {
    components: {
        idInputComponent,
        guestDataComponent,
        getReport,
    },
    data() {
        return {
            idInputComponentVisible: false,
            guestDataComponentVisible: false,
            getReportVisible: false,
            idNum: "",
        }
    },
    methods: {
        receiveID(idNum) {
            this.idNum = idNum;
            this.idInputComponentVisible = false;
            this.guestDataComponentVisible = true;
        },
        guestDataCancel() {
            this.idNum = "";
            this.idInputComponentVisible = false;
            this.guestDataComponentVisible = false;
        },
        changePageGuest() {
            console.log("page changed to guest")
            this.idInputComponentVisible = true;
            this.getReportVisible = false;
            this.guestDataComponentVisible = false;
        },
        changePageReport() {
            console.log("page changed to Report")
            this.idInputComponentVisible = false;
            this.getReportVisible = true;
            this.guestDataComponentVisible = false;
        },
        cancel() {
            this.idInputComponentVisible = false;
            this.getReportVisible = false;
            this.guestDataComponentVisible = false;

        }
    },
}
</script>

<style>
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,600;0,700;1,300&display=swap');

/* ------ START CSS RESET ------ */
html {
    box-sizing: border-box;
    font-size: 1em;
    font-size: 1em;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body, h1, h2, h3, h4, 
h5, h6, p, ol, ul {
    margin: 0;
    padding: 0;
    font-weight: normal;
}

ol, ul {
    list-style: none;
}

img {
    max-width: 100%;
    height: auto;
}

/* ------- END CSS RESET ------- */

body, html {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    background-color: #0F6CB6;
}

.content-container {
    margin: 3em auto;
    border-radius: 25px;
    background: white;
    border-radius: 1rem;
    max-width: 80%;
    text-align: center;

}

.content-container .content-title {
    background: #FFC423;
    padding: 1rem;
    border-radius: 1rem 1rem 0 0;
    font-variant: all-small-caps;
    text-align: center;
}

.content-title h1 {
    font-weight: bold;
    font-size: 2.5em;
}

.content-container .content-body {
    padding: 2rem;
    display: inline-block;
    text-align: center;
    border-radius: 1rem 1rem 0 0;
    background-color: white;
}

.new-guest {
    background: #0F6CB6;
    border-radius: 5px;
    color: white;
    padding: 1rem;
    margin: 0.5rem;
    border: none;
    font-size: 16px;
}

.content-container .content-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: .5rem;
    border-top: 1px solid #d9d9d9;
    text-align: center;
    border-radius: 25px;
    margin-left: auto;
    margin-right: auto;

}

.content-footer .left {
    flex: 1;
    /* Take up remaining space */
    text-align: left;
    margin: .5rem;
}

.content-footer .right {
    display: flex;
    /* Take up remaining space */
    align-items: center;
}

input {
    border-radius: 5px;
    color: #191919;
    padding: 1rem;
    background: white;
    border: 1px solid #C9C9C9;
    margin: 0.5rem;
    font-size: 1rem;
}

input:focus {
    outline: 1px solid lightskyblue;
}

input[type=button],
button {
    background: #0F6CB6;
    border-radius: 5px;
    color: white;
    padding: 1rem;
    margin: 0.5rem;
    border: none;
    font-size: 16px;
    width: 200px;
}

.help-button {
    margin: .5rem;
    padding: 0;
    border: none;
    color: #fff;
    background-color: #FFC423;
    font-size: 32px;
    width: 40px;
    height: 40px;
    border-radius: 100%;
}

.help-button:hover {
    outline: 3px solid #f5da91;
    outline-offset: 0;
}

button:disabled {
    color: #676767;
    background: #C9C9C9;
    border: 1px solid #525252;
}


.wrapper {
    width: auto;
    padding: 2rem;
    border-radius: 1rem 1rem 0 0;
    margin: auto;
}

.logo {
    border-style: none;
    padding: 2rem;
    height: 30rem;
    width: 30rem;
    margin: auto;
    text-align: center;
}

.buttonContainer {
    width: 100%;
    margin: auto;
    text-align: center;
}

h6 {
    font-size: 20px;
    color: white;
    margin: auto;
    text-align: center;
}

.toggle {
    display: none;
}
</style>
